NX Open C++ Reference Guide
|
Represents a builder for a cone feature. More...
Public Types | |
enum | Types { TypesDiametersAndHeight, TypesDiametersAndHalfAngle, TypesBaseDiameterHeightAndHalfAngle, TypesTopDiameterHeightAndHalfAngle, TypesTwoCoaxialArcs } |
Represents the Cone type. More... | |
Public Member Functions | |
NXOpen::Axis * | Axis () |
Returns the axis Created in NX6.0.0. | |
NXOpen::SelectICurve * | BaseArc () |
Returns the base arc Created in NX6.0.0. | |
NXOpen::Expression * | BaseDiameter () |
Returns the base diameter Created in NX6.0.0. | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOption () |
Returns the boolean option Created in NX6.0.0. | |
NXOpen::Expression * | HalfAngle () |
Returns the half angle Created in NX6.0.0. | |
NXOpen::Expression * | Height () |
Returns the height Created in NX6.0.0. | |
bool | ParentAssociativity () |
Returns the option to keep associativity of the cone axis Created in NX8.0.0. | |
void | SetAxis (NXOpen::Axis *axis) |
Sets the axis Created in NX6.0.0. | |
void | SetParentAssociativity (bool parentAssociativity) |
Sets the option to keep associativity of the cone axis Created in NX8.0.0. | |
void | SetType (NXOpen::Features::ConeBuilder::Types type) |
Sets the type represented by Features::ConeBuilder::Types Created in NX6.0.0. | |
NXOpen::SelectICurve * | TopArc () |
Returns the top arc Created in NX6.0.0. | |
NXOpen::Expression * | TopDiameter () |
Returns the top diameter Created in NX6.0.0. | |
NXOpen::Features::ConeBuilder::Types | Type () |
Returns the type represented by Features::ConeBuilder::Types Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder for a cone feature.
This allows creation and editing of a cone feature. <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateConeBuilder Features::FeatureCollection::CreateConeBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BaseDiameter.Value |
50 (millimeters part), 50 (inches part) |
HalfAngle.Value |
45 |
Height.Value |
25 (millimeters part), 25 (inches part) |
TopDiameter.Value |
0 (millimeters part), 0 (inches part) |
Type |
DiametersAndHeight |
Created in NX6.0.0.
Represents the Cone type.
TypesDiametersAndHeight |
Represents type of cone created by providing Diameters and Height. |
TypesDiametersAndHalfAngle |
Represents type of cone created by providing Diameters and Half Angle. |
TypesBaseDiameterHeightAndHalfAngle |
Represents type of cone created by providing Base Diameter, Height and Half Angle. |
TypesTopDiameterHeightAndHalfAngle |
Represents type of cone created by providing Top Diameter, Height and Half Angle. |
TypesTwoCoaxialArcs |
Represents type of cone created by providing Two Coaxial Arcs. |
NXOpen::Axis* NXOpen::Features::ConeBuilder::Axis | ( | ) |
Returns the axis
Created in NX6.0.0.
License requirements : None
NXOpen::SelectICurve* NXOpen::Features::ConeBuilder::BaseArc | ( | ) |
Returns the base arc
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ConeBuilder::BaseDiameter | ( | ) |
Returns the base diameter
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::ConeBuilder::BooleanOption | ( | ) |
Returns the boolean option
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ConeBuilder::HalfAngle | ( | ) |
Returns the half angle
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ConeBuilder::Height | ( | ) |
Returns the height
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::ConeBuilder::ParentAssociativity | ( | ) |
Returns the option to keep associativity of the cone axis
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ConeBuilder::SetAxis | ( | NXOpen::Axis * | axis | ) |
Sets the axis
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
axis | axis |
void NXOpen::Features::ConeBuilder::SetParentAssociativity | ( | bool | parentAssociativity | ) |
Sets the option to keep associativity of the cone axis
Created in NX8.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
parentAssociativity | parentassociativity |
void NXOpen::Features::ConeBuilder::SetType | ( | NXOpen::Features::ConeBuilder::Types | type | ) |
Sets the type represented by Features::ConeBuilder::Types
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
NXOpen::SelectICurve* NXOpen::Features::ConeBuilder::TopArc | ( | ) |
Returns the top arc
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ConeBuilder::TopDiameter | ( | ) |
Returns the top diameter
Created in NX6.0.0.
License requirements : None
NXOpen::Features::ConeBuilder::Types NXOpen::Features::ConeBuilder::Type | ( | ) |
Returns the type represented by Features::ConeBuilder::Types
Created in NX6.0.0.
License requirements : None